<?xml version="1.0"?>
<doc>
    <assembly>
        <name>ITUtil.Common.Utils</name>
    </assembly>
    <members>
        <member name="T:ITUtil.Common.DTO.DiagnosticsSettings">
            <summary>
            Diagnostics settings definition
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.DiagnosticsSettings.refreshRateInSeconds">
            <summary>
            Gets or sets refresh rate in seconds
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.BoolDTO">
            <summary>
            Generic DTO for bool definition
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.BoolDTO.value">
            <summary>
            Gets or sets a value indicating whether gets or sets Value
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.GuidIdDTO">
            <summary>
            Generic DTO for GUID definition
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.GuidIdDTO.id">
            <summary>
            Gets or sets Id
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.GuidIdsDTO">
            <summary>
            Generic DTO for list of GUID definition
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.GuidIdsDTO.ids">
            <summary>
            Gets or sets Ids
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.IntIdDTO">
            <summary>
            Generic DTO for integer definition
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.IntIdDTO.id">
            <summary>
            Gets or sets Id
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.IntIdsDTO">
            <summary>
            Generic DTO for integer definition
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.IntIdsDTO.ids">
            <summary>
            Gets or sets Id
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.Event">
            <summary>
            Event definition
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.Event.timeStamp">
            <summary>
            Gets or sets Timestamp
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.Event.eventTitel">
            <summary>
            Gets or sets Eventtitel
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.Event.eventMessage">
            <summary>
            Gets or sets Eventmessage
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.EventDTO">
            <summary>
            Event DTO definition
            </summary>
        </member>
        <member name="M:ITUtil.Common.DTO.EventDTO.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:ITUtil.Common.DTO.EventDTO"/> class.
            </summary>
        </member>
        <member name="M:ITUtil.Common.DTO.EventDTO.#ctor(System.String,System.String,System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:ITUtil.Common.DTO.EventDTO"/> class.
            </summary>
            <param name="json">event data as json</param>
            <param name="clientid">caller clientid</param>
            <param name="messageid">caller messageid</param>
        </member>
        <member name="M:ITUtil.Common.DTO.EventDTO.#ctor(ITUtil.Common.DTO.ReturnMessageWrapper,System.String,System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:ITUtil.Common.DTO.EventDTO"/> class.
            </summary>
            <param name="obj">event data</param>
            <param name="clientid">caller clientid</param>
            <param name="messageid">caller messageid</param>
        </member>
        <member name="M:ITUtil.Common.DTO.EventDTO.#ctor(ITUtil.Common.DTO.ReturnMessageWrapper,ITUtil.Common.DTO.MessageWrapper)">
            <summary>
            Initializes a new instance of the <see cref="T:ITUtil.Common.DTO.EventDTO"/> class.
            </summary>
            <param name="obj">event data</param>
            <param name="messageWrapper">messageWrapper</param>
        </member>
        <member name="P:ITUtil.Common.DTO.EventDTO.clientId">
            <summary>
            Gets or sets ClientId
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.EventDTO.messageId">
            <summary>
            Gets or sets MessageId
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.EventDTO.data">
            <summary>
            Gets or sets Data
            </summary>
        </member>
        <member name="M:ITUtil.Common.DTO.EventDTO.Json">
            <summary>
            Get event data as json
            </summary>
            <returns>json string</returns>
        </member>
        <member name="T:ITUtil.Common.DTO.LocalizedString">
            <summary>
            Localized string definition
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.LocalizedString.lang">
            <summary>
            Gets or sets Lang
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.LocalizedString.text">
            <summary>
            Gets or sets Text
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.MessageWrapper">
            <summary>
            Message wrapper definition
            </summary>
        </member>
        <member name="M:ITUtil.Common.DTO.MessageWrapper.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:ITUtil.Common.DTO.MessageWrapper"/> class.
            </summary>
        </member>
        <member name="M:ITUtil.Common.DTO.MessageWrapper.#ctor(ITUtil.Common.DTO.MessageWrapper)">
            <summary>
            Initializes a new instance of the <see cref="T:ITUtil.Common.DTO.MessageWrapper"/> class.
            by cloning existing messageWrapper
            </summary>
            <param name="messageWrapper">
            The messageWrapper to be cloned
            </param>
        </member>
        <member name="M:ITUtil.Common.DTO.MessageWrapper.#ctor(ITUtil.Common.DTO.TokenData,System.DateTime,System.Guid,System.String,System.String,System.String,ITUtil.Common.DTO.Tracing)">
            <summary>
            Initializes a new instance of the <see cref="T:ITUtil.Common.DTO.MessageWrapper"/> class.
            </summary>
            <param name="headerinfo">auth information for this message</param>
            <param name="issuedDate">message issuedate</param>
            <param name="userContext">user that issued the message</param>
            <param name="clientid">client id, for returning messages</param>
            <param name="messageid">message id, defined by client</param>
            <param name="callerIp">IP of the caller</param>
            <param name="orgContext">Organisation context</param>
            <param name="tracing">tracing level</param>
        </member>
        <member name="M:ITUtil.Common.DTO.MessageWrapper.#ctor(ITUtil.Common.DTO.TokenData,System.DateTime,System.String,System.String,System.String,System.String,ITUtil.Common.DTO.Tracing)">
            <summary>
            Initializes a new instance of the <see cref="T:ITUtil.Common.DTO.MessageWrapper"/> class.
            </summary>
            <param name="headerinfo">auth information for this message</param>
            <param name="issuedDate">message issuedate</param>
            <param name="clientid">client id, for returning messages</param>
            <param name="messageid">message id, defined by client</param>
            <param name="callerIp">IP of the caller</param>
            <param name="json">json</param>
            <param name="tracing">tracing level</param>
        </member>
        <member name="P:ITUtil.Common.DTO.MessageWrapper.messageData">
            <summary>
            Gets or sets MessageData
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.MessageWrapper.version">
            <summary>
            Gets or sets the program version for the request (which program version to be activated on the server)
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.MessageWrapper.tracing">
            <summary>
            Gets or sets Tracing
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.MessageWrapper.clientId">
            <summary>
            Gets or sets Clientid
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.MessageWrapper.messageId">
            <summary>
            Gets or sets Messageid
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.MessageWrapper.callerIp">
            <summary>
            Gets or sets CallerIp
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.MessageWrapper.issuedDate">
            <summary>
            Gets or sets IssuedDate
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.MessageWrapperHelper`1">
            <summary>
            Message wrapper helper, for encoding/decoding data for transport
            </summary>
            <typeparam name="T">Type of the data</typeparam>
        </member>
        <member name="M:ITUtil.Common.DTO.MessageWrapperHelper`1.GetData(ITUtil.Common.DTO.MessageWrapper)">
            <summary>
            Get decoded data from the message wrapper
            </summary>
            <param name="wrapper">message wrapper</param>
            <returns>decoded data</returns>
        </member>
        <member name="M:ITUtil.Common.DTO.MessageWrapperHelper`1.SetData(ITUtil.Common.DTO.MessageWrapper,`0)">
            <summary>
            Sets, and encode data into the message wrapper
            </summary>
            <param name="wrapper">message wrapper</param>
            <param name="data">encoding data</param>
        </member>
        <member name="T:ITUtil.Common.DTO.ReturnMessageWrapper">
            <summary>
            Wrapper for return messages
            </summary>
        </member>
        <member name="M:ITUtil.Common.DTO.ReturnMessageWrapper.#ctor(System.String,System.String,System.Byte[])">
            <summary>
            Initializes a new instance of the <see cref="T:ITUtil.Common.DTO.ReturnMessageWrapper"/> class.
            </summary>
            <param name="responseToClientid">Which client is to receive the message</param>
            <param name="responseToMessageid">What is the clients message id</param>
            <param name="data">the return object as json (utf8 byte array)</param>
        </member>
        <member name="P:ITUtil.Common.DTO.ReturnMessageWrapper.responseToClientId">
            <summary>
            Gets or sets ResponseToClientid
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.ReturnMessageWrapper.responseToMessageId">
            <summary>
            Gets or sets ResponseToMessageid
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.ReturnMessageWrapper.message">
            <summary>
            Gets or sets Message
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.ReturnMessageWrapper.success">
            <summary>
            Gets or sets a value indicating whether gets or sets Success
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.ReturnMessageWrapper.data">
            <summary>
            Gets or sets data (json serialized object, which have been converted to utf8 byte array)
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.Severity">
            <summary>
            Enum for severity
            </summary>
        </member>
        <member name="F:ITUtil.Common.DTO.Severity.information">
            <summary>
            Information
            </summary>
        </member>
        <member name="F:ITUtil.Common.DTO.Severity.debug">
            <summary>
            Debug
            </summary>
        </member>
        <member name="F:ITUtil.Common.DTO.Severity.critical">
            <summary>
            Critical
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.Trace">
            <summary>
            Object used to transfer trace information
            </summary>
        </member>
        <member name="M:ITUtil.Common.DTO.Trace.#ctor">
            <summary>
            Initializes a new instance of the <see cref="T:ITUtil.Common.DTO.Trace"/> class.
            Default constructor used by the deserialiser
            </summary>
        </member>
        <member name="M:ITUtil.Common.DTO.Trace.#ctor(System.String,System.String,System.String,System.String)">
            <summary>
            Initializes a new instance of the <see cref="T:ITUtil.Common.DTO.Trace"/> class.
            </summary>
            <param name="IP">the IP adress of the machine running the program</param>
            <param name="service">Name of the microservice that created this trace</param>
            <param name="topic">A brief description of the trace, would normally be the message-route</param>
        </member>
        <member name="P:ITUtil.Common.DTO.Trace.ip">
            <summary>
            Gets or sets the Ip adress
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.Trace.messageId">
            <summary>
            Gets or sets the messageId
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.Trace.service">
            <summary>
            Gets or sets name of the service
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.Trace.topic">
            <summary>
            Gets or sets the topic
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.Trace.internalTrace">
            <summary>
            Gets or sets the traceinformation
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.Tracing">
            <summary>
            Tracing description
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.Tracing.Level">
            <summary>
            Tracing level
            </summary>
        </member>
        <member name="F:ITUtil.Common.DTO.Tracing.Level.none">
            <summary>
            Dont trace anything
            </summary>
        </member>
        <member name="F:ITUtil.Common.DTO.Tracing.Level.network">
            <summary>
            Trace only the network/route information
            </summary>
        </member>
        <member name="F:ITUtil.Common.DTO.Tracing.Level.all">
            <summary>
            Trace everything
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.Tracing.traceLevel">
            <summary>
            Gets or sets trace level
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.Tracing.trace">
            <summary>
            Gets or sets trace
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.MetaData">
            <summary>
            MetaData description
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.MetaData.key">
            <summary>
            Gets or sets Key
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.MetaData.value">
            <summary>
            Gets or sets Value
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.MetaData.scope">
            <summary>
            Gets or sets Scope
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.MetaDataDefinition">
            <summary>
            Metadata definition description
            </summary>
        </member>
        <member name="F:ITUtil.Common.DTO.MetaDataDefinition.DataContextEnum.userClaims">
            <summary>
            Claims that the user have given to the organisation, such as "can edit my profile", "allowed to send me a newsletter" etc.
            </summary>
        </member>
        <member name="F:ITUtil.Common.DTO.MetaDataDefinition.DataContextEnum.organisationClaims">
            <summary>
            Claims that the organisation have given to a user, suchs as "is database administrator"
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.MetaDataDefinition.key">
            <summary>
            Gets or sets unique key for the scope
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.MetaDataDefinition.description">
            <summary>
            Gets or sets short DEVELOPER orientated description
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.MetaDataDefinition.dataContext">
            <summary>
            Gets or sets datacontext defines where this metadata is used (i.e. which metadatalist it should be saved to)
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.MetaDataDefinitions">
            <summary>
            Metadata definitions description
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.MetaDataDefinitions.definitions">
            <summary>
            Gets or sets Definitions
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.Success">
            <summary>
            Success definition
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.Success.succeeded">
            <summary>
            Gets or sets Succeeded
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.InvalidateUserData">
            <summary>
            InvalidateUserData description
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.InvalidateUserData.userIds">
            <summary>
            Gets or sets Userids
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.InvalidateUserData.validUntil">
            <summary>
            Gets or sets ValidUntil
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.Token">
            <summary>
            Token definition
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.Token.tokenId">
            <summary>
            Gets or sets tokenid
            </summary>
        </member>
        <member name="T:ITUtil.Common.DTO.TokenData">
            <summary>
            TokenData description
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.TokenData.tokenId">
            <summary>
            Gets or sets Tokenid
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.TokenData.userId">
            <summary>
            Gets or sets Userid
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.TokenData.validUntil">
            <summary>
            Gets or sets ValidUntil
            </summary>
        </member>
        <member name="P:ITUtil.Common.DTO.TokenData.claims">
            <summary>
            Gets or sets Claims
            </summary>
        </member>
        <member name="M:ITUtil.Common.DTO.TokenData.IsValidToken">
            <summary>
            Gets or sets OrganisationClaims
            </summary>
        </member>
        <member name="P:ITUtil.Common.Utils.Bootstrapper.IEventListener.ServiceName">
            <summary>
            Should contain a unique service name
            </summary>
        </member>
        <member name="P:ITUtil.Common.Utils.Bootstrapper.IEventListener.Handler">
            <summary>
            List of operations that can be performed by this service
            </summary>
        </member>
        <member name="P:ITUtil.Common.Utils.Bootstrapper.IMicroservice.ServiceName">
            <summary>
            Should contain a unique service name
            </summary>
        </member>
        <member name="P:ITUtil.Common.Utils.Bootstrapper.IMicroservice.OperationDescription">
            <summary>
            List of operations that can be performed by this service
            </summary>
        </member>
        <member name="P:ITUtil.Common.Utils.Bootstrapper.IMicroservice.ProgramVersion">
            <summary>
            Returns the version number for this implementation
            </summary>
        </member>
        <member name="F:ITUtil.Common.Utils.Bootstrapper.OperationDescription.fanoutType.none">
            <summary>
            Do not fanout messages (for operations that are to be scaled across multiple instances) such as "do" operations and cRud operations.
            </summary>
        </member>
        <member name="F:ITUtil.Common.Utils.Bootstrapper.OperationDescription.fanoutType.perMachine">
            <summary>
            Do fanout, but only once per machine. i.e. multiple instances of this service on the same machine will compete to get the message (for CrUD operations where instances notify each other of changes within the same machine) 
            </summary>
        </member>
        <member name="F:ITUtil.Common.Utils.Bootstrapper.OperationDescription.fanoutType.all">
            <summary>
            Do fanout to every instance, even on the same machine (for CrUD operations, where the service have implemented code to handle multiple insert/deletes/updates on the same data)
            </summary>
        </member>
        <member name="P:ITUtil.Common.Utils.Bootstrapper.OperationDescription.Faneout">
            <summary>
            Gets or sets the fanout type
            </summary>
        </member>
        <member name="T:ITUtil.Common.Utils.ConfigHelper">
            <summary>
            A helper class for easy access to the config file
            </summary>
        </member>
        <member name="M:ITUtil.Common.Utils.ConfigHelper.Config">
            <summary>
            Access to the configuration file
            </summary>
            <returns>The application configuration object</returns>
        </member>
        <member name="T:ITUtil.Common.Utils.ExceptionHelper">
            <summary>
            Exception helper, to log stacktrace and exception-stack
            </summary>
        </member>
        <member name="M:ITUtil.Common.Utils.ExceptionHelper.GetExceptionAsReportText(System.Exception)">
            <summary>
            Gets exception as string
            </summary>
            <param name="ex">Exception to tranform into text</param>
            <returns>exception string</returns>
        </member>
        <member name="T:ITUtil.Common.Utils.HashHelper">
            <summary>
            Helper for hashing
            </summary>
        </member>
        <member name="M:ITUtil.Common.Utils.HashHelper.CalculateMD5Hash(System.String)">
            <summary>
            Calculate MD5 hash from text
            </summary>
            <param name="input">Text to hash</param>
            <returns>MD5 hash string</returns>
        </member>
        <member name="T:ITUtil.Common.Utils.NetworkHelper">
            <summary>
            Network helper
            </summary>
        </member>
        <member name="M:ITUtil.Common.Utils.NetworkHelper.GetLocalIPAddress">
            <summary>
            Gets the local IP address
            </summary>
            <returns>IP address</returns>
        </member>
        <member name="M:ITUtil.Common.Utils.NetworkHelper.HasNetwork">
            <summary>
            Is network available
            </summary>
            <returns>true if network is present</returns>
        </member>
        <member name="T:ITUtil.Common.Utils.MessageDataHelper">
            <summary>
            Class containing methods for helping deserializing and serializing objects and bytearrays.
            </summary>
        </member>
        <member name="M:ITUtil.Common.Utils.MessageDataHelper.ToMessageData(System.Object)">
            <summary>
            Takes the object and returns the bytearray of the json
            </summary>
            <param name="obj">The object parameter to be converted</param>
            <returns>Json as utf8 bytearray</returns>
        </member>
        <member name="M:ITUtil.Common.Utils.MessageDataHelper.FromMessageData``1(System.Byte[])">
            <summary>
            Takes the bytearray and returns the object as a typed object
            </summary>
            <typeparam name="T">The Type of the returned object</typeparam>
            <param name="bytes">The bytearray that will be returned as a typed object</param>
            <returns>Object of specified generic type from the bytearray parameter</returns>
        </member>
    </members>
</doc>
